/*
 * PWM1_2.c
 *
 *  Created on: 2019-8-16
 *      Author: charles_cai
 */
#include"main.h"

#ifndef PWM1_2_C_
#define PWM1_2_C_

void Init_PWM1_2(unsigned char mode)
{
	if(!mode)
	{
		PP2 =199;
		PP1 =199;//设置周期

		PWM12L =80;//设置占空比
		PWM22H =140;

		PWM12ON =1;
		PWM22ON =1;
	}
	else//16位PWM模式
	{
		PP2 =0x1F;//周期的高8位
		PP1 =0x40;//周期的低8位

		PWM12L =0xA0;//占空比的低8位
		PWM22H =0x0F;//占空比的高8位

		PWM22ON =1;
	}
}

#endif /* PWM1_2_C_ */
